## cinder 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
decorator>=3.4.0 # BSD
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
httplib2>=0.7.5 # MIT
iso8601>=0.1.9 # MIT
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
oauth2client>=1.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.versionedobjects>=1.5.0 # Apache-2.0
osprofiler>=1.1.0 # Apache-2.0
paramiko>=1.16.0 # LGPL
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pycrypto>=2.6 # Public Domain
pyparsing>=2.0.1 # MIT
python-barbicanclient>=3.3.0 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
pytz>=2013.6 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
taskflow>=1.26.0 # Apache-2.0
rtslib-fb>=2.1.41 # Apache-2.0
simplejson>=2.2.0 # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
suds-jurko>=0.6 # LGPL
WebOb>=1.2.3 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
oslo.vmware>=1.16.0 # Apache-2.0
os-brick>=1.0.0 # Apache-2.0
os-win>=0.2.3 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
google-api-python-client>=1.4.2 # Apache-2.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXSOURCE 	= source
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SPHINXSOURCE)

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

.DEFAULT_GOAL 	= html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf cinder.sqlite
	if [ -f .autogenerated ] ; then \
        cat .autogenerated | xargs rm ; \
        rm .autogenerated ; \
    fi

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cinder.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cinder.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
cinder (2:8.0.0-0ubuntu1) xenial; urgency=medium

  [ Corey Bryant ]
  * d/p/fix-i386.patch: Fix failures for i386.

  [ David Della Vecchia ]
  * Final upstream release for OpenStack Mitaka.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 08 Apr 2016 14:14:21 +0100

cinder (2:8.0.0~rc1-0ubuntu2) xenial; urgency=medium

  * d/p/skip-google-backup-tests.patch: Drop oauth2client from requirements.txt
    as its only requires to support Google backup, unblocking migration from
    proposed pocket.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Mar 2016 12:20:09 +0100

cinder (2:8.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Mar 2016 21:34:24 -0400

cinder (2:8.0.0~b3-0ubuntu2) xenial; urgency=medium

  * d/p/skip-google-backup-tests.patch: Drop python-googleapi from requirements.txt.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Mar 2016 17:01:42 -0400

cinder (2:8.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 09:59:19 -0500

cinder (2:8.0.0~b2-0ubuntu2) xenial; urgency=medium

  * d/control: Drop python-googleapi from (Build-)Depends and move to Suggests.
  * d/rules, d/p/skip-google-backup-tests.patch: Skip python-googleapi tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Feb 2016 12:07:28 -0500

cinder (2:8.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align dependencies with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 25 Jan 2016 10:04:27 -0500

cinder (2:8.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka: 
    - d/control: Align dependencies with upstream.
    - d/cinder-common.install: Adding new wsgi binary entrypoint. 

 -- David Della Vecchia <ddv@canonical.com>  Fri, 18 Dec 2015 08:06:32 -0500

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-barbicanclient (>= 3.3.0),
                     python-coverage (>= 3.6),
                     python-crypto (>= 2.6),
                     python-ddt (>= 1.0.1),
                     python-decorator (>= 3.4.0),
                     python-enum34,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:2.0.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10.0),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-novaclient (>= 2:2.29.0),
                     python-os-brick (>= 1.0.0),
                     python-os-testr (>= 0.4.1),
                     python-os-win (>= 0.2.3),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.1.0),
                     python-paramiko (>= 1.13.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pbr (>= 1.8),
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.6.2),
                     python-pyparsing (>= 2.0.1),
                     python-requests (>= 2.8.1),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-rtslib-fb (>= 2.1.41),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-suds,
                     python-swiftclient (>= 1:2.2.0),
                     python-taskflow (>= 1.26.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-tz (>= 2013.6),
                     python-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Homepage: http://launchpad.net/cinder
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
XS-Testsuite: autopkgtest

Package: python-cinder
Section: python
Architecture: all
Depends: python-anyjson (>= 0.3.3),
         python-babel (>= 1.3),
         python-barbicanclient (>= 3.3.0),
         python-crypto (>= 2.6),
         python-decorator (>= 3.4.0),
         python-enum34,
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml (>= 2.3),
         python-migrate (>= 0.9.6),
         python-novaclient (>= 2:2.29.0),
         python-os-brick (>= 1.0.0),
         python-os-win (>= 0.2.3),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-oslo.vmware (>= 1.16.0),
         python-osprofiler (>= 1.1.0),
         python-paramiko (>= 1.13.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pyparsing (>= 2.0.1),
         python-requests (>= 2.8.1),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-suds,
         python-swiftclient (>= 1:2.2.0),
         python-taskflow (>= 1.26.0),
         python-tooz (>= 1.28.0),
         python-tz (>= 2013.6),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceph,
          python-googleapi (>= 1.4.2),
          python-hp3parclient,
          python-oauth2client (>= 1.5.0),
          python-rtslib-fb,
Description: Cinder Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python library for Cinder.

Package: cinder-common
Architecture: all
Depends: adduser,
         python-cinder (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-api
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-volume
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         lvm2,
         qemu-utils,
         tgt,
         ${misc:Depends},
         ${python:Depends},
Breaks: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 ),
Replaces: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 ),
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-backup
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_install:
	dh_install --fail-missing -Xbin/cinder-all

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf

override_dh_clean:
	# temporary workaround for d2to1 wonkyness
	dh_clean -Xsetup.cfg
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/cinder/ cinder-(\d.*)\.tar\.gz

## cinder 8.1.1

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.6 # Apache-2.0
-Babel>=1.3 # BSD
+Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
 decorator>=3.4.0 # BSD
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 eventlet!=0.18.3,>=0.18.2 # MIT
@@ -14,7 +14,7 @@
 lxml>=2.3 # BSD
 oauth2client>=1.5.0 # Apache-2.0
 oslo.config>=3.7.0 # Apache-2.0
-oslo.concurrency>=3.5.0 # Apache-2.0
+oslo.concurrency>=3.7.1 # Apache-2.0
 oslo.context>=0.2.0 # Apache-2.0
 oslo.db>=4.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
@@ -35,14 +35,14 @@
 pyparsing>=2.0.1 # MIT
 python-barbicanclient>=3.3.0 # Apache-2.0
 python-glanceclient>=2.0.0 # Apache-2.0
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
+python-keystoneclient!=1.8.0,!=2.1.0,<3.0.0,>=1.6.0 # Apache-2.0
 python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
 python-swiftclient>=2.2.0 # Apache-2.0
 pytz>=2013.6 # MIT
 requests!=2.9.0,>=2.8.1 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
-Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
-Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
+Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
+Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
 taskflow>=1.26.0 # Apache-2.0
 rtslib-fb>=2.1.41 # Apache-2.0
 simplejson>=2.2.0 # MIT
@@ -54,7 +54,7 @@
 WebOb>=1.2.3 # MIT
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.vmware>=1.16.0 # Apache-2.0
-os-brick>=1.0.0 # Apache-2.0
+os-brick!=1.4.0,>=1.0.0 # Apache-2.0
 os-win>=0.2.3 # Apache-2.0
 tooz>=1.28.0 # Apache-2.0
 google-api-python-client>=1.4.2 # Apache-2.0

=== debian/changelog ===
cinder (2:8.1.1-0ubuntu3) xenial; urgency=medium

  *  d/p/log-message-cleanup-for-volume-usage-audit.patch:
     Fixes broken tests introduced by 8.1.1-0ubuntu2 (LP: #1631561).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Thu, 06 Apr 2017 12:56:37 -0300

cinder (2:8.1.1-0ubuntu2) xenial; urgency=medium

  * d/p/log-message-cleanup-for-volume-usage-audit.patch:
    Fixes LP: #1631561.

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Fri, 10 Mar 2017 18:35:26 -0300

cinder (2:8.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release for Openstack Mitaka (LP: #1619318).
  * d/rules: Run unit tests with ostestr inline with how upstream runs them.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Sep 2016 08:20:28 -0400

cinder (2:8.1.0-0ubuntu1) xenial; urgency=medium

  [ Corey Bryant ]
  * New upstream version.
  * d/p/skip-timeout-exception.patch: Skip
    test_snapshot_failure_when_remote_is_unreachable until bug is resolved.
    https://bugs.launchpad.net/cinder/+bug/1582370
  * d/patches: Rebased.

  [ Corey Bryant ]
  * New upstream version.

  [ Corey Bryant ]
  * New upstream point release for Openstack Mitaka (LP: #1614131).
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Aug 2016 10:28:33 -0400

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                      python-os-brick (>= 1.0.0),
                      python-os-testr (>= 0.4.1),
                      python-os-win (>= 0.2.3),
-                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.concurrency (>= 3.7.1),
                      python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
                      python-oslo.db (>= 4.1.0),
@@ -108,7 +108,7 @@
          python-novaclient (>= 2:2.29.0),
          python-os-brick (>= 1.0.0),
          python-os-win (>= 0.2.3),
-         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.concurrency (>= 3.7.1),
          python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
          python-oslo.db (>= 4.1.0),

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	rm -rf .testrepository
-	testr init && \
-	set -e && \
-	TEMP_REZ=`mktemp -t` && \
-	testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
-	rm -f $$TEMP_REZ
+	ostestr
 endif
 
 override_dh_install:
@@ -35,3 +30,4 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf .eggs
+	rm -rf .testrepository

=== debian/tests/control ===
Tests: python-cinder cinder-daemons cinder-volume
Depends: python-cinder, cinder-api, cinder-scheduler, lvm2
Restrictions: needs-root

## cinder 9.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
decorator>=3.4.0 # BSD
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
httplib2>=0.7.5 # MIT
iso8601>=0.1.11 # MIT
ipaddress>=1.0.7;python_version<'3.3' # PSF
keystoneauth1>=2.10.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
oauth2client>=1.5.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db>=4.10.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.privsep>=1.9.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pycrypto>=2.6 # Public Domain
pyparsing>=2.0.1 # MIT
python-barbicanclient>=4.0.0 # Apache-2.0
python-glanceclient!=2.4.0,>=2.3.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
pytz>=2013.6 # MIT
requests>=2.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
taskflow>=1.26.0 # Apache-2.0
rtslib-fb>=2.1.41 # Apache-2.0
simplejson>=2.2.0 # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
WebOb>=1.2.3 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
oslo.vmware>=2.11.0 # Apache-2.0
os-brick>=1.3.0 # Apache-2.0
os-win>=0.2.3 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
google-api-python-client>=1.4.2 # Apache-2.0
castellan>=0.4.0 # Apache-2.0

=== debian/changelog ===
cinder (2:9.0.0~b3-1+470~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 13:52:28 +0000

cinder (2:9.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed namespace list when generating cinder.conf.
  * Using OpenStack's Gerrit as VCS URLs.
  * Rebased nozfs patches.
  * Added PYTHONPATH=. when building sphinx doc.
  * Black list 3 unit tests that non-deterministically fail:
    - test_volume.VolumeMigrationTestCase.test_retype_volume_migration_failed
    - test_volume.VolumeMigrationTestCase.test_retype_volume_migration_bad_policy
    - backup.test_backup.BackupTestCase.test_create_backup_with_temp_snapshot

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 21:17:08 +0200

cinder (2:9.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased remove-zfssa-from-opts.py.patch.
  * Updated Danish translation of the debconf templates (Closes: #830641).
  * Blacklist VolumeMigrationTestCase.test_retype_volume_driver_success.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 16:35:01 +0200

cinder (2:9.0.0~b1+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed patches.
  * Fixed generation of cinder.conf namespace list.
  * Do not use custom OSLO_PACKAGE_VERSION and build-depends on
    openstack-pkg-tools 50.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jun 2016 09:31:38 +0200

cinder (2:8.0.0-4) unstable; urgency=medium

  [ Thomas Goirand ]
  * Updated Japanese debconf templates (Closes: #820761).
  * Updated Dutch debconf templates (Closes: #822967).
  * Added Brazilian Portuguese debconf templates (Closes: #824287).

  [ Ondřej Nový ]
  * d/copyright: Changed source URL to https protocol

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 May 2016 10:51:12 +0200

cinder (2:8.0.0-3) unstable; urgency=medium

  * Also blacklist test_create_delete_cgsnapshot which is non-deterministically
    failing (Closes: #824595).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 May 2016 10:20:47 +0200

cinder (2:8.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Fixed endpoint creation that was buggy: it was using keystone admin auth
    token which we removed for Mitaka (Closes: #820844).

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Apr 2016 20:21:03 +0000

cinder (2:8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:08:51 +0200

cinder (2:8.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated ja.po debconf translation (Closes: #816343).
  * Ran debconf-updatepo.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 10:43:20 +0200

cinder (2:8.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoint.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 12:24:55 +0000

cinder (2:8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Disable non-deterministic failed tests:
    cinder.tests.unit.test_volume.VolumeTestCase.test_create_delete_volume
  * Fixed (build-)depends for this release.
  * Reworked install-missing-files.patch.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2016 14:10:58 +0100

cinder (2:8.0.0~b3-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * New (build-)depends on python-oauth2client to ensure its version.
  * Added missing build-depends on git, needed by sphinx-build.
  * Fixed config file generation.
  * Refreshed / rebased patches.

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 10:02:39 +0000

cinder (2:8.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed disable-zfs-tests.patch.
  * Removed Downstream_Fix_for_Genconfig.patch.
  * Added patch to remove zfssa tests.
  * Added a doc-base registration file.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Dec 2015 14:05:41 +0100

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 50~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit (>= 0.13.2),
                     git,
                     python-anyjson,
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-castellan (>= 0.4.0),
                     python-coverage,
                     python-crypto,
                     python-ddt (>= 1.0.1),
                     python-decorator (>= 3.4.0),
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.3.0),
                     python-googleapi (>= 1.4.2),
                     python-greenlet,
                     python-hacking (>= 0.10.0),
                     python-httplib2,
                     python-ipaddress (>= 1.0.7),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystoneclient (>= 1:2.0.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-mox3,
                     python-mysqldb,
                     python-novaclient (>= 2:2.29.0),
                     python-oauth2client (>= 2.0.1),
                     python-os-brick (>= 1.3.0),
                     python-os-testr (>= 0.7.0),
                     python-os-win (>= 0.2.3),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslo.vmware (>= 2.11.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy,
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-pyparsing,
                     python-pywbem,
                     python-requests (>= 2.10.0),
                     python-retrying,
                     python-routes,
                     python-rtslib-fb (>= 2.1.57),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-taskflow (>= 1.26.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-tz,
                     python-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-cinder
Vcs-Git: https://git.openstack.org/openstack/deb-cinder
Homepage: https://github.com/openstack/cinder

Package: python-cinder
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-castellan (>= 0.4.0),
         python-ceph,
         python-crypto,
         python-decorator (>= 3.4.0),
         python-eventlet (>= 0.18.4),
         python-glanceclient (>= 1:2.3.0),
         python-googleapi (>= 1.4.2),
         python-greenlet,
         python-hp3parclient,
         python-httplib2,
         python-ipaddress (>= 1.0.7),
         python-iso8601 (>= 0.1.11),
         python-keystoneauth1 (>= 2.10.0),
         python-keystoneclient (>= 1:2.0.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-novaclient (>= 2:2.29.0),
         python-oauth2client (>= 2.0.1),
         python-os-brick (>= 1.3.0),
         python-os-win (>= 0.2.3),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-oslo.vmware (>= 2.11.0),
         python-osprofiler (>= 1.4.0),
         python-paramiko (>= 2.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-psutil,
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-pyparsing,
         python-requests (>= 2.10.0),
         python-retrying,
         python-routes,
         python-rtslib-fb (>= 2.1.57),
         python-simplejson,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-swiftclient (>= 1:2.2.0),
         python-taskflow (>= 1.26.0),
         python-tooz (>= 1.28.0),
         python-tz,
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

Package: cinder-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-cinder (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-api
Architecture: all
Depends: adduser,
         cinder-common (= ${binary:Version}),
         debconf,
         python-keystoneclient,
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-volume
Architecture: all
Depends: adduser,
         cinder-common (= ${binary:Version}),
         lvm2,
         qemu-utils,
         tgt,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-backup
Architecture: all
Depends: adduser,
         cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.
